/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IQuantityFieldAdapter } from './quantity-field-adapter';
export interface IQuantityFieldFoundation extends ICustomElementFoundation {
    required: boolean;
    invalid: boolean;
}
export declare class QuantityFieldFoundation implements IQuantityFieldFoundation {
    private _adapter;
    private _required;
    private _invalid;
    private _incrementButtonSlotChanged;
    private _decrementButtonSlotChanged;
    private _incrementValue;
    private _decrementValue;
    constructor(_adapter: IQuantityFieldAdapter);
    connect(): void;
    disconnect(): void;
    private _onIncrementButtonSlotChanged;
    private _onDecrementButtonSlotChanged;
    private _addIncrementEventListener;
    private _addDecrementEventListener;
    private _removeIncrementEventListener;
    private _removeDecrementEventListener;
    private _removeIncrementButtonSlotListener;
    private _removeDecrementButtonSlotListener;
    private _syncDisabledStateOfButtons;
    get required(): boolean;
    set required(value: boolean);
    get invalid(): boolean;
    set invalid(value: boolean);
}
